Add a field to a dataset.
Add a new field to an existing dataset.
POST
/api/datasets/{id}/fieldsPath parameters
idstringrequiredBody
namestringrequireddescriptionstringtypeenumrequiredOne of: int, int64, float, float64, text, data, uuid, bool, datetime
dbTypeenumrequiredOne of: String, LowCardinality(String), Int32, Int64, Float32, Float64, UUID, Bool, DateTime
iconstringdefaultobjectRequest
curl
curl -X POST https://platform.trickest.com/api/datasets/{id}/fields \
-H "Authorization: Bearer $TRICKEST_TOKEN" \
-H "Content-Type: application/json" \
-d '{ }'Responses
201Field added successfully
namestringrequireddescriptionstringtypestringrequirediconstringisKeyboolean400Bad Request – validation error or malformed input
codestringmessagestring401Unauthorized – missing or expired token
codestringmessagestring500Internal Server Error
codestringmessagestring